( function( $ ) {
    "use strict";
    var pxl_widget_accordion_handler = function( $scope, $ ) {
        $(".pxl-accordion .pxl-item--single").each(function() {
            if ($(this).hasClass("active")) {
                $(this).find(".pxl-item--content").show();
            } else {
                $(this).find(".pxl-item--content").hide();
            }
        });
        $(".pxl-accordion .pxl-item--title").on("click", function() {
            let item = $(this).closest('.pxl-item--single');
            if (item.hasClass("active")) {
                item.removeClass("active");
                item.find(".pxl-item--content").slideUp(400);
            } else {
                $(".pxl-accordion .pxl-item--single").removeClass("active");
                $(".pxl-accordion .pxl-item--content").slideUp(400);
                item.addClass("active");
                item.find(".pxl-item--content").slideDown(400);
            }
        });
    };
    
    $( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/pxl_accordion.default', pxl_widget_accordion_handler );
    } );
} )( jQuery );